Apple rolls out iOS 6.1

With the release of the new iOS 6.0-6.1 Apple has discontinued support for the older iPods and iPhones. This means they will not accept Apps (like Dashboss) unless they are submitted using the newest Software Development Kit (SDK). Unfortunately, this SDK totally drops support for any device with an ARMv6 process and/or running any iOS 4.2 or older. They reject any Apps submitted that try to support iOS versions older than 4.3 and/or ARMv6 devices.

What this boils down to is that you need to be especially cognizant of the devices that you upgrade beyond v1.6 of Dashboss, because the new requirements are now in place (we snuck under the wire with Dashboss v1.6).

Here’s a little table to help clarify:

iOS Versions  iOS 4.3, 4.3.1, 4.3.2, 4.3.3, 4.3.4, 4.3.5, 5.0, 5.0.1, 5.1, 5.1.1, 6.0, 6.0.1, 6.0.2, 6.1

Hardware

iPhone® with ARMv7 processor which includes:

  • iPhone® 3GS
  • Phone® 4
  • iPhone® 4S,
  • iPhone® 5

iPad® with ARMv7 processor which includes:

  • iPad®
  • iPad2®
  • New iPad® 3rd Gen (Retina display)
  • iPad Mini®
  • iPad 4th Gen (Lightning connector)

iPod touch® with ARMv7 processor which includes:

  • iPod touch® Gen 3
  • iPod touch® Gen 4
  • iPod touch® Gen 5

**iPod touch® and iPad® WiFi will NOT HAVE GPS functions available, however “Location Services” if enabled may be used for approximate positioning.